# $Revision: 1.9 $, $Date: 2008/01/31 12:16:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	QuickForm
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}_SelectFilter

Summary:	%{_pearname} - dynamic filters on the client side for select elements
Summary(pl.UTF-8):	%{_pearname} - dynamiczne filtry po stronie klienta dla pól wyboru
Name:		php-pear-%{_pearname}
Version:	1.0.0
%define		_rc	RC1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{_rc}.tgz
# Source0-md5:	06860491c616e3f418d1b033145af446
URL:		http://pear.php.net/package/HTML_QuickForm_SelectFilter/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTML_QuickForm >= 3.2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_QuickForm_SelectFilter package adds an element to the
PEAR::HTML_QuickForm package that is used to define dynamic filters on
the client side for select elements.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa PEAR::HTML_QuickForm_SelectFilter dodaje do klasy
PEAR::HTML_QuickForm element, który może być użyty do zdefiniowania
działających po stronie klienta dynamicznych filtrów pól wyboru.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm_SelectFilter.spec,v $
Revision 1.9  2008/01/31 12:16:49  glen
- rel 3

Revision 1.8  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.4  2005/10/05 18:31:31  glen
- rel 2

Revision 1.3  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.2  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.1  2004/12/15 17:19:11  adamg
- new
